Download it now!
Bug 126459 - Misplaced video in presenter console for non-gtk3 VCL plugins
Summary: Misplaced video in presenter console for non-gtk3 VCL plugins
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha1+
Hardware: All Linux (All)
: medium normal
Assignee: Katarina Behrens (Inactive)
URL:
Whiteboard: target:6.5.0 target:6.4.1
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-18 09:03 UTC by Michael Weghorn
Modified: 2020-02-03 10:16 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot showing misplaced video for kde5 VCL plugin (1.53 MB, image/png)
2019-07-18 09:03 UTC, Michael Weghorn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Weghorn 2019-07-18 09:03:19 UTC
Created attachment 152853 [details]
Screenshot showing misplaced video for kde5 VCL plugin

Steps to reproduce:

0) use two screens on X11 (Linux)
1) start Impress with kde5, gtk2 or gen/x11 plugin
2) open a presentation containing a video (e.g. attachment 145517 [details] from bug 120452)
3) start slide show by pressing F5

Result:

* The slide show starts and starts playing the video.
* While the video is properly placed on the presentation screen, it is misplaced in the presenter console (s. attached screenshot)

Expected result:
The video should also be properly placed in the presenter console.

Notes:
* This happens for the gen/x11, gtk2 and kde5 VCL plugins. It works as expected for gtk3.
* Bug 42873 was dealing with the same thing for gtk3.
* Bug 124027 was dealing with a similar issue for the presentation screen and contains more information


Version: 6.4.0.0.alpha0+
Build ID: 8e3f4317823aa83e0ad9e7dc008a1550ef3c9798
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Michael Weghorn 2019-07-18 09:04:25 UTC
Self-confirming, since bubli already mentioned this in bug 124027 comment 6.
Comment 2 Commit Notification 2020-01-23 08:11:04 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/13bc1ec30c5adf05ff987c25634b845bab7bc4ae

Related tdf#126459: fix crash in presenter console using gen vclplug

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2020-01-23 09:19:12 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d4561921dde7d350b3b4d5f793871bea8ba4546d

tdf#126459: Consider translated origin of the view also on resize

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2020-01-23 12:07:32 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/95339c04fa242628e7b3cae3d4aecee0cb75e017

Related tdf#126459: fix crash in presenter console using gen vclplug

It will be available in 6.4.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Katarina Behrens (Inactive) 2020-01-23 14:05:36 UTC
Let's define this as fixed, pls shout if not
Comment 6 Commit Notification 2020-01-26 13:35:38 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/59edd056643125978483e7292bfb4b7be707cf3d

tdf#126459: Consider translated origin of the view also on resize

It will be available in 6.4.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Michael Weghorn 2020-02-03 10:16:35 UTC
Thanks for fixing!

Verified with

Version: 7.0.0.0.alpha0+
Build ID: 18b2cecfef3dd26bac15522667b465802ff3f96b
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: kf5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded